# _*_ coding: UTF-8 _*_
"""
@file            : data_util
@Author          : qtclm
@Date            : 2023/1/29 19:44
@Desc            : 自动生成接口测试用例：支持正交实验，等价类，边界值
"""

import traceback
import jsonpath_rw
from utils.operation_logging import operationLogging
from jsonpath_rw_ext import parse
from utils.time_util import timeUtil


class dataUtil(timeUtil):
    log=operationLogging('data_util_log')

    # 返回依赖数据
    def depend_data_parse(self,dependkey,response_data,index='one'):
        __dict={}#存放字典
        '''处理依赖'''
        if dependkey:
            # 匹配字典key
            depend_data_index = dependkey.rfind('.')
            depend_data_str = dependkey[depend_data_index + 1:]
            try:
                math_value = self.json_path_parse_public(json_path=dependkey,json_obj=response_data)
                if math_value:
                    if index=='one':
                        math_value=math_value[0]
                    __dict[depend_data_str]=math_value
                    return __dict
                else:
                    return None
            except IndexError as indexerror:
                return None
        else:
            return None

    # 根据jsonpath表达式获取json对象公共方法,部分功能还需要测试
    def json_path_parse_public(self,json_path,json_obj,get_index:bool=False):
        if json_path:
            # 定义要获取的key
            # 定义响应数据,key从响应数据里获取
            # print(madle)
            # math.value返回的是一个list，可以使用索引访问特定的值jsonpath_rw的作用就相当于从json里面提取响应的字段值
            try:
                json_exe = parse(json_path)
                madle = json_exe.find(json_obj)
                math_value = [i.value for i in madle]
                if get_index:
                    return math_value[0]#返回匹配结果第0个元素
                return math_value
            except IndexError :
                self.log.log_main('info',False,f"json_obj:{json_obj}提取失败,json_path:{json_path}")
                return []
            except jsonpath_rw.lexer.JsonPathLexerError:
                self.log.log_main('error',False,f"json_obj:{json_obj}提取失败,jsonpath包含不支持的特殊字符,json_path:{json_path}")
                return []
            except Exception :
                self.log.log_main('error', False,f"json_obj:{json_obj}提取失败,json_path:{json_path},具体错误,{traceback.format_exc()}")
                return []
        else:
            return []


if __name__ == "__main__":
    du=dataUtil()
    api_data={'swagger': '2.0', 'info': {'title': 'Sensetraffic-maint Web API'}, 'host': '10.4.196.168:31621', 'basePath': '/', 'tags': [{'name': '病害筛选', 'description': 'Search Api'}, {'name': '病害管理', 'description': 'Breakage Api'}, {'name': '病害等级', 'description': 'Grade Api'}, {'name': '工单模块', 'description': 'Work Order Api'}, {'name': '病害删除', 'description': 'Delete Api'}, {'name': '用户管理', 'description': 'User Api'}, {'name': '病害聚合', 'description': 'Aggregation Api'}, {'name': '桩号管理模块', 'description': 'Stake Api'}, {'name': '病害地图', 'description': 'Map Api'}, {'name': '列表查询条件接口', 'description': 'Condition Api'}, {'name': '工单字典接口', 'description': 'Order Dict Api'}, {'name': '获取字典接口', 'description': 'Dict Api'}, {'name': '客户管理模块', 'description': 'Tenant Api'}, {'name': '路段管理模块', 'description': 'Section Api'}, {'name': '公路管理模块', 'description': 'Road Api'}, {'name': '数据回流', 'description': 'Collect Api'}, {'name': '应用管理', 'description': 'Application Api'}, {'name': '设备管理', 'description': 'Device Api'}, {'name': '病害统计', 'description': 'Statistics Api'}, {'name': '小程序', 'description': 'Wx Dict Api'}], 'paths': {'/v1/applications/oss-info': {'get': {'tags': ['应用管理'], 'summary': '获取OSS信息', 'description': 'objectName直接写文件名，不要加目录', 'operationId': 'getOssInfoUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«OSS信息返回结果»'}}}}}, '/v1/auth/devices': {'post': {'tags': ['设备管理'], 'summary': '内部接口:对接symphony设备注册', 'operationId': 'registerUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'request', 'description': 'request', 'required': True, 'schema': {'$ref': '#/definitions/DeviceRegisterRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/设备动态注册返回响应'}}}}}, '/v1/collector/find-aggregate': {'post': {'tags': ['数据回流'], 'summary': '按URL聚合回流数据', 'description': '没有聚合时返回 empty list', 'operationId': 'aggregateByUrlUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'collectConditionRequest', 'description': 'collectConditionRequest', 'required': True, 'schema': {'$ref': '#/definitions/CollectConditionRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'type': 'array', 'items': {'$ref': '#/definitions/CollectionModelVO'}}}}}}, '/v1/collector/find-label-modification-record': {'post': {'tags': ['数据回流'], 'summary': '回流修改了病害类型的数据', 'operationId': 'collectLabelModificationRecordUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'labelModificationCollectionRequest', 'description': 'labelModificationCollectionRequest', 'required': True, 'schema': {'$ref': '#/definitions/LabelModificationCollectionRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/CollectionModelPageVO'}}}}}, '/v1/collector/find-page': {'post': {'tags': ['数据回流'], 'summary': '按条件分页回流数据', 'operationId': 'collectAlarmByPageUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'collectConditionPageRequest', 'description': 'collectConditionPageRequest', 'required': True, 'schema': {'$ref': '#/definitions/CollectConditionPageRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/CollectionModelPageVO'}}}}}, '/v1/devices/check_devices_exist': {'post': {'tags': ['设备管理'], 'summary': 'check device if exist', 'operationId': 'checkDevicesUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'request', 'description': 'request', 'required': True, 'schema': {'$ref': '#/definitions/DevicesCheckRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«DeviceCheckResponse»'}}}}}, '/v1/devices/gateway/call': {'post': {'tags': ['设备管理'], 'summary': '内部接口:设备gateway调用接口，用于云边数据交互', 'operationId': 'gatewayCallUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'request', 'description': 'request', 'required': True, 'schema': {'$ref': '#/definitions/gateway 转发请求的请求体，同 RPCCallCloudRequest 一致'}}], 'responses': {'200': {'description': 'OK', 'schema': {'type': 'array', 'items': {'type': 'string', 'format': 'byte'}}}}}}, '/v1/dict/administrative-level': {'get': {'tags': ['获取字典接口'], 'summary': '获取行政级别字典', 'operationId': 'administrativeLevelListUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«List«HashMap«string,string»»»'}}}}}, '/v1/dict/breakage-status': {'get': {'tags': ['获取字典接口'], 'summary': '获取病害状态字典', 'operationId': 'breakageStatusListUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«List«Map«string,string»»»'}}}}}, '/v1/dict/breakage-type': {'get': {'tags': ['获取字典接口'], 'summary': '获取病害类型字典', 'operationId': 'breakageTypeListUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«HashMap«string,string»»'}}}}}, '/v1/dict/function-level': {'get': {'tags': ['获取字典接口'], 'summary': '获取功能等级字典', 'operationId': 'functionLevelListUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«List«HashMap«string,string»»»'}}}}}, '/v1/dict/pavement-type': {'get': {'tags': ['获取字典接口'], 'summary': '获取路面类型字典', 'operationId': 'pavementTypeListUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«List«HashMap«string,string»»»'}}}}}, '/v1/dict/road-type': {'get': {'tags': ['获取字典接口'], 'summary': '获取道路类型字典', 'operationId': 'roadTypeListUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«List«HashMap«string,string»»»'}}}}}, '/v1/dict/role-type': {'get': {'tags': ['获取字典接口'], 'summary': '获取用户角色字典', 'operationId': 'roleListUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«HashMap«string,string»»'}}}}}, '/v1/maintenance/aggregation/manual': {'post': {'tags': ['病害聚合'], 'summary': '手动聚合', 'operationId': 'manualUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'aggregationRequest', 'description': 'aggregationRequest', 'required': True, 'schema': {'$ref': '#/definitions/AggregationRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse'}}}}}, '/v1/maintenance/aggregation/split': {'post': {'tags': ['病害聚合'], 'summary': '手动拆分', 'operationId': 'splitUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'aggregationRequest', 'description': 'aggregationRequest', 'required': True, 'schema': {'$ref': '#/definitions/AggregationRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse'}}}}}, '/v1/maintenance/breakage/edit-label': {'post': {'tags': ['病害管理'], 'summary': '病害类型编辑', 'operationId': 'editLabelUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'request', 'description': 'request', 'required': True, 'schema': {'$ref': '#/definitions/EditLabeloRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse'}}}}}, '/v1/maintenance/condition/tenant/{tenantId}/device-list': {'get': {'tags': ['列表查询条件接口'], 'summary': '获取用户下设备列表', 'operationId': 'deviceListByTenantUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': '客户ID', 'required': True, 'type': 'integer', 'format': 'int64'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«List«DeviceVo»»'}}}}}, '/v1/maintenance/grade/query/{tenantId}': {'get': {'tags': ['病害等级'], 'summary': '病害等级设置查询病害等级', 'operationId': 'queryBreakageGradeUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': 'tenantId', 'required': True, 'type': 'integer', 'format': 'int64'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«List«BreakageGradeSetVO»»'}}}}}, '/v1/maintenance/grade/update': {'post': {'tags': ['病害等级'], 'summary': '病害等级设置全量修改病害等级', 'operationId': 'updateGradeUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'gradeRequest', 'description': 'gradeRequest', 'required': True, 'schema': {'type': 'array', 'items': {'$ref': '#/definitions/GradeRequest'}}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse'}}}}}, '/v1/maintenance/label': {'post': {'tags': ['病害统计'], 'summary': '根据路段统计该路段各种病害类型下的病害数量', 'operationId': 'statisticsLabelUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'statisticsRequest', 'description': 'statisticsRequest', 'required': True, 'schema': {'$ref': '#/definitions/StatisticsRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«StatisticsLabelVO»'}}}}}, '/v1/maintenance/lastCheck/{tenantId}': {'get': {'tags': ['病害统计'], 'summary': '最后一次巡检信息', 'operationId': 'lastCheckLabelUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': 'tenantId', 'required': True, 'type': 'integer', 'format': 'int64'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«LastCheckVO»'}}}}}, '/v1/maintenance/map/breakage-list': {'post': {'tags': ['病害地图'], 'summary': '在缩放等级为三级时根据经纬度查询病害list的接口', 'operationId': 'breakageListUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'mapBreakageListRequest', 'description': 'mapBreakageListRequest', 'required': True, 'schema': {'$ref': '#/definitions/MapBreakageListRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«List«MapBreakageDetailVO»»'}}}}}, '/v1/maintenance/map/breakage-list-page': {'post': {'tags': ['病害地图'], 'summary': '在缩放等级为一、二级时点击气泡时分页查询当前气泡中所有的病害详情列表', 'operationId': 'listPageUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'mapListRequest', 'description': 'mapListRequest', 'required': True, 'schema': {'$ref': '#/definitions/MapListRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«IPage«MapListResponse»»'}}}}}, '/v1/maintenance/map/bubble-list': {'post': {'tags': ['病害地图'], 'summary': '在缩放等级为一、二级时查询病害气泡数量', 'operationId': 'bubbleListUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'mapBubbleListRequest', 'description': 'mapBubbleListRequest', 'required': True, 'schema': {'$ref': '#/definitions/MapBubbleListRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«List«MapBubbleListVO»»'}}}}}, '/v1/maintenance/search/external': {'post': {'tags': ['病害筛选'], 'summary': '列表分页查询病害信息', 'operationId': 'searchExternalUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'request', 'description': 'request', 'required': True, 'schema': {'$ref': '#/definitions/BreakageSearchExternalRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«BreakageSearchExternalResponse»'}}}}}, '/v1/maintenance/search/select-explicit': {'post': {'tags': ['病害筛选'], 'summary': '病害详情查询', 'operationId': 'selectExplicitUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'request', 'description': 'request', 'required': True, 'schema': {'$ref': '#/definitions/ExplicitBreakageInfoRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«IPage«BreakageVO»»'}}}}}, '/v1/maintenance/search/select-multi-explicit': {'post': {'tags': ['病害筛选'], 'summary': '多个病害详情查询', 'operationId': 'selectMultiExplicitUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'request', 'description': 'request', 'required': True, 'schema': {'$ref': '#/definitions/MultiExplicitBreakageInfoRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«List«BreakageVO»»'}}}}}, '/v1/maintenance/search/select-page': {'post': {'tags': ['病害筛选'], 'summary': '分页筛选病害列表及详情', 'operationId': 'selectPageUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'breakageInfoSearchRequest', 'description': 'breakageInfoSearchRequest', 'required': True, 'schema': {'$ref': '#/definitions/BreakageInfoSearchRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«IPage«BreakageVO»»'}}}}}, '/v1/maintenance/statistics': {'post': {'tags': ['病害统计'], 'summary': '病害统计', 'operationId': 'statisticsUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'statisticsRequest', 'description': 'statisticsRequest', 'required': True, 'schema': {'$ref': '#/definitions/StatisticsRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«StatisticsVO»'}}}}}, '/v1/maintenance/{aggregateId}': {'delete': {'tags': ['病害删除'], 'summary': '按聚合ID删除病害', 'operationId': 'deleteBreakageUsingDELETE', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'aggregateId', 'in': 'path', 'description': '病害聚合ID', 'required': True, 'type': 'string'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«object»'}}}}}, '/v1/road': {'post': {'tags': ['公路管理模块'], 'summary': '新建公路', 'operationId': 'addUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'request', 'description': 'request', 'required': True, 'schema': {'$ref': '#/definitions/RoadVO'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«RoadVO»'}}}}}, '/v1/road/{roadId}': {'patch': {'tags': ['公路管理模块'], 'summary': '修改公路', 'operationId': 'modifyUsingPATCH', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'roadId', 'in': 'path', 'description': '公路主键ID', 'required': True, 'type': 'integer', 'format': 'int64'}, {'in': 'body', 'name': 'request', 'description': 'request', 'required': True, 'schema': {'$ref': '#/definitions/RoadVO'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«RoadVO»'}}}}}, '/v1/roads/list': {'post': {'tags': ['公路管理模块'], 'summary': '查询公路列表', 'operationId': 'selectRoadByListUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'request', 'description': 'request', 'required': True, 'schema': {'$ref': '#/definitions/RoadConditionVO'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«List«RoadVO»»'}}}}}, '/v1/roads/select-page': {'post': {'tags': ['公路管理模块'], 'summary': '分页查询公路列表', 'operationId': 'selectRoadByPageUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'request', 'description': 'request', 'required': True, 'schema': {'$ref': '#/definitions/RoadsRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«IPage«RoadVO»»'}}}}}, '/v1/stakes': {'post': {'tags': ['桩号管理模块'], 'summary': '创建桩号', 'operationId': 'createStakeUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'stakeVo', 'description': 'stakeVo', 'required': True, 'schema': {'$ref': '#/definitions/StakeVO'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«StakeVO»'}}}}}, '/v1/stakes/section/{sectionId}/number/{stakeSerialNumber}': {'post': {'tags': ['桩号管理模块'], 'summary': '路桩编号搜索，前缀匹配，支持分页查询', 'operationId': 'retrieveByStakeNumberUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'sectionId', 'in': 'path', 'description': '路段ID', 'required': True, 'type': 'integer', 'format': 'int64'}, {'name': 'stakeSerialNumber', 'in': 'path', 'description': '路段系统ID', 'required': True, 'type': 'string'}, {'in': 'body', 'name': 'page', 'description': 'page', 'required': True, 'schema': {'$ref': '#/definitions/Page«object»'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«IPage«StakeVO»»'}}}}}, '/v1/stakes/{sectionId}/list-page': {'post': {'tags': ['桩号管理模块'], 'summary': '按路段分页查询桩号列表', 'operationId': 'listStakeBySectionUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'sectionId', 'in': 'path', 'description': '路段系统ID', 'required': True, 'type': 'integer', 'format': 'int64'}, {'in': 'body', 'name': 'page', 'description': 'page', 'required': True, 'schema': {'$ref': '#/definitions/Page«object»'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«IPage«StakeVO»»'}}}}}, '/v1/stakes/{stakeId}': {'delete': {'tags': ['桩号管理模块'], 'summary': '删除桩号', 'operationId': 'deleteStakeUsingDELETE', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'stakeId', 'in': 'path', 'description': '桩系统ID', 'required': True, 'type': 'integer', 'format': 'int64'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«object»'}}}}, 'patch': {'tags': ['桩号管理模块'], 'summary': '编辑桩号经纬度', 'operationId': 'editStakeUsingPATCH', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'stakeId', 'in': 'path', 'description': '桩系统ID', 'required': True, 'type': 'integer', 'format': 'int64'}, {'in': 'body', 'name': 'request', 'description': 'request', 'required': True, 'schema': {'$ref': '#/definitions/EditStakeRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«object»'}}}}}, '/v1/stakes/{tenantId}/section-stakes-list': {'get': {'tags': ['桩号管理模块'], 'summary': '根据客户id查询路段及其桩号列表 地图路段展示定位', 'operationId': 'querySectionAndStakesListUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': '客户id', 'required': True, 'type': 'integer', 'format': 'int64'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«List«SectionAndStakesVO»»'}}}}}, '/v1/tenants': {'post': {'tags': ['客户管理模块'], 'summary': '新建客户', 'operationId': 'createTenantUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'tenantVo', 'description': 'tenantVo', 'required': True, 'schema': {'$ref': '#/definitions/TenantVO'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«TenantVO»'}}, '401': {'description': '未登录'}}}}, '/v1/tenants/select-page': {'post': {'tags': ['客户管理模块'], 'summary': '分页查询所有公司列表', 'operationId': 'selectPageUsingPOST_2', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'page', 'description': 'page', 'required': True, 'schema': {'$ref': '#/definitions/Page'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«IPage«TenantVO»»'}}}}}, '/v1/users': {'post': {'tags': ['用户管理'], 'summary': '添加用户，返回添加成功后用户id', 'operationId': 'addUserUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'userVo', 'description': 'userVo', 'required': True, 'schema': {'$ref': '#/definitions/UserVO'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«UserVO»'}}}}}, '/v1/users/profile': {'get': {'tags': ['用户管理'], 'summary': '获取登录用户信息', 'operationId': 'profileUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«UserProfileVO»'}}}}}, '/v1/users/{userId}/password': {'patch': {'tags': ['用户管理'], 'summary': '管理员重置用户的登录密码', 'operationId': 'resetPasswordUsingPATCH', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'userId', 'in': 'path', 'description': '用户id', 'required': True, 'type': 'integer', 'format': 'int64'}, {'in': 'body', 'name': 'request', 'description': 'request', 'required': True, 'schema': {'$ref': '#/definitions/ResetPasswordRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«object»'}}}}}, '/v1/work-order/create': {'post': {'tags': ['工单模块'], 'summary': '生成工单', 'operationId': 'createUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'createWorkOrderRequest', 'description': 'createWorkOrderRequest', 'required': True, 'schema': {'$ref': '#/definitions/CreateWorkOrderRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse'}}}}}, '/v1/work-order/dict/work-order-status': {'get': {'tags': ['工单字典接口'], 'summary': '获取病害状态字典', 'operationId': 'workOrderStatusListUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«List«Map«string,string»»»'}}}}}, '/v1/work-order/statistic/tenant/{tenantId}': {'get': {'tags': ['工单模块'], 'summary': '工单数据统计接口', 'operationId': 'workOrderStatisticUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': '客户ID', 'required': True, 'type': 'integer', 'format': 'int64'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«WorkOrderStatisticResponse»'}}}}}, '/v1/work-order/tenant/{tenantId}': {'post': {'tags': ['工单模块'], 'summary': '工单列表查询', 'operationId': 'searchWorkOrderUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': '客户ID', 'required': True, 'type': 'integer', 'format': 'int64'}, {'in': 'body', 'name': 'request', 'description': 'request', 'required': True, 'schema': {'$ref': '#/definitions/SearchWorkOrderRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«IPage«WorkOrderVO»»'}}}}}, '/v1/work-order/tenant/{tenantId}/{workOrderId}': {'get': {'tags': ['工单模块'], 'summary': '工单详情查询', 'operationId': 'workOrderDetailResponseUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': '客户ID', 'required': True, 'type': 'integer', 'format': 'int64'}, {'name': 'workOrderId', 'in': 'path', 'description': '工单号', 'required': True, 'type': 'string'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«WorkOrderDetailResponse»'}}}}}, '/v1/work-order/{tenantId}/{aggregateId}/repair-info': {'get': {'tags': ['工单模块'], 'summary': '病害详情之病害对应的工单修复信息查询', 'operationId': 'getRepairInfoUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': '客户ID', 'required': True, 'type': 'integer', 'format': 'int64'}, {'name': 'aggregateId', 'in': 'path', 'description': '病害聚合ID', 'required': True, 'type': 'string'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«RepairInfo»'}}}}}, '/v1/wx/dict/breakage-type': {'get': {'tags': ['小程序'], 'summary': '获取病害类型字典', 'operationId': 'breakageTypeUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«HashMap«string,string»»'}}}}}, '/v1/wx/user/login': {'post': {'tags': ['小程序'], 'summary': '微信小程序登录', 'operationId': 'loginUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'wxLoginRequest', 'description': 'wxLoginRequest', 'required': True, 'schema': {'$ref': '#/definitions/WxLoginRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«WxUserInfoVO»'}}}}}, '/v1/wx/user/logout': {'post': {'tags': ['小程序'], 'summary': '微信小程序退出登录', 'operationId': 'logoutUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'userId', 'in': 'query', 'description': 'userId', 'required': True, 'type': 'integer', 'format': 'int64'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«object»'}}}}}, '/v1/wx/user/oss-info': {'get': {'tags': ['小程序'], 'summary': '获取OSS信息', 'description': 'objectName直接写文件名，不要加目录', 'operationId': 'getOssInfoUsingGET_1', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'userId', 'in': 'query', 'description': 'userId', 'required': True, 'type': 'integer', 'format': 'int64'}, {'name': 'tenantId', 'in': 'query', 'description': 'tenantId', 'required': True, 'type': 'integer', 'format': 'int64'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«OSS信息返回结果»'}}}}}, '/v1/wx/user/update-token': {'get': {'tags': ['小程序'], 'summary': 'token更新', 'operationId': 'updateTokenUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'userId', 'in': 'query', 'description': 'userId', 'required': True, 'type': 'integer', 'format': 'int64'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«string»'}}}}}, '/v1/wx/user/wx-service-health-check': {'get': {'tags': ['小程序'], 'summary': '健康检查', 'operationId': 'wxServiceHealthCheckUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«object»'}}}}}, '/v1/wx/work-order/upload/repaired-image-url': {'post': {'tags': ['小程序'], 'summary': '上传已修复病害的图片', 'operationId': 'imageUrlUploadUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'in': 'body', 'name': 'imageUploadRequest', 'description': 'imageUploadRequest', 'required': True, 'schema': {'$ref': '#/definitions/ImageUploadRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse'}}}}}, '/v1/wx/work-order/{tenantId}/{userId}/calculate-work-orders': {'get': {'tags': ['小程序'], 'summary': '统计我的工单中不同状态的工单的数量', 'operationId': 'calculateWorkOrdersUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': '客户ID', 'required': True, 'type': 'integer', 'format': 'int64'}, {'name': 'userId', 'in': 'path', 'description': '养护工人的用户ID', 'required': True, 'type': 'integer', 'format': 'int64'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«WxWorkOrderClassifyVO»'}}}}}, '/v1/wx/work-order/{tenantId}/{userId}/counts-per-year': {'post': {'tags': ['小程序'], 'summary': '统计某个养护工人的年度完成工单集', 'operationId': 'countsPerYearUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': '养护工人所在的客户ID', 'required': True, 'type': 'integer', 'format': 'int64'}, {'name': 'userId', 'in': 'path', 'description': '养护工人的用户ID', 'required': True, 'type': 'integer', 'format': 'int64'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«List«StatisticsDataVO»»'}}}}}, '/v1/wx/work-order/{tenantId}/{userId}/my-work-orders': {'post': {'tags': ['小程序'], 'summary': '查看我的工单', 'operationId': 'myWorkOrdersUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': '客户ID', 'required': True, 'type': 'integer', 'format': 'int64'}, {'name': 'userId', 'in': 'path', 'description': '养护工人的用户ID', 'required': True, 'type': 'integer', 'format': 'int64'}, {'in': 'body', 'name': 'request', 'description': 'request', 'required': True, 'schema': {'$ref': '#/definitions/WxMyWorkOrderRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«IPage«WxWorkOrderVO»»'}}}}}, '/v1/wx/work-order/{tenantId}/{userId}/total-completed-work-order': {'post': {'tags': ['小程序'], 'summary': '统计某个养护工人下的已完成工单总数', 'operationId': 'totalCompletedWorkOrderUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': '养护工人所在的客户ID', 'required': True, 'type': 'integer', 'format': 'int64'}, {'name': 'userId', 'in': 'path', 'description': '养护工人的用户ID', 'required': True, 'type': 'integer', 'format': 'int64'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«TotalCompletedWorkOrderVO»'}}}}}, '/v1/wx/work-order/{tenantId}/{workOrderId}/details': {'get': {'tags': ['小程序'], 'summary': '工单详情', 'operationId': 'workOrderDetailUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': '客户ID', 'required': True, 'type': 'integer', 'format': 'int64'}, {'name': 'workOrderId', 'in': 'path', 'description': '工单号', 'required': True, 'type': 'string'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«WorkOrderDetailVO»'}}}}}, '/v1/wx/work-order/{tenantId}/{workOrderId}/full-size-images': {'get': {'tags': ['小程序'], 'summary': '获取工单中所有病害的大图OSSUrl', 'operationId': 'getFullSizeImageUrlUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': '客户ID', 'required': True, 'type': 'integer', 'format': 'int64'}, {'name': 'workOrderId', 'in': 'path', 'description': '工单ID', 'required': True, 'type': 'string'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«List«FullSizeImageUrlVO»»'}}}}}, '/v1/wx/work-order/{workOrderId}/complete': {'post': {'tags': ['小程序'], 'summary': '工单完工', 'operationId': 'completeUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'workOrderId', 'in': 'path', 'description': '工单号', 'required': True, 'type': 'string'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse'}}}}}, '/v1/wx/work-order/{year}/{tenantId}/{userId}/counts-per-month': {'post': {'tags': ['小程序'], 'summary': '统计某个养护工人的月度完成工单集', 'operationId': 'countsPerMonthUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': '养护工人所在的客户ID', 'required': True, 'type': 'integer', 'format': 'int64'}, {'name': 'userId', 'in': 'path', 'description': '养护工人的用户ID', 'required': True, 'type': 'integer', 'format': 'int64'}, {'name': 'year', 'in': 'path', 'description': '要查询的年份', 'required': True, 'type': 'integer', 'format': 'int32'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«List«StatisticsDataVO»»'}}}}}, '/v1/{tenantId}/section': {'post': {'tags': ['路段管理模块'], 'summary': '新建路段', 'operationId': 'addUsingPOST_1', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': '客户id', 'required': True, 'type': 'integer', 'format': 'int64'}, {'in': 'body', 'name': 'vo', 'description': 'vo', 'required': True, 'schema': {'$ref': '#/definitions/SectionVO'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse'}}}}}, '/v1/{tenantId}/section/{sectionId}': {'patch': {'tags': ['路段管理模块'], 'summary': '修改路段', 'operationId': 'modifyUsingPATCH_1', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': '客户id', 'required': True, 'type': 'integer', 'format': 'int64'}, {'name': 'sectionId', 'in': 'path', 'description': '路段id', 'required': True, 'type': 'integer', 'format': 'int64'}, {'in': 'body', 'name': 'vo', 'description': 'vo', 'required': True, 'schema': {'$ref': '#/definitions/SectionVO'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«SectionVO»'}}}}}, '/v1/{tenantId}/sections/list': {'get': {'tags': ['路段管理模块'], 'summary': '根据客户ID查询路段列表', 'operationId': 'roadListUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': '客户id', 'required': True, 'type': 'integer', 'format': 'int64'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«List«SectionVO»»'}}}}}, '/v1/{tenantId}/sections/select-page': {'post': {'tags': ['路段管理模块'], 'summary': '根据客户ID分页查询路段列表', 'operationId': 'selectPageUsingPOST_1', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': '客户id', 'required': True, 'type': 'integer', 'format': 'int64'}, {'in': 'body', 'name': 'request', 'description': 'request', 'required': True, 'schema': {'$ref': '#/definitions/SectionPageRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«IPage«SectionVO»»'}}}}}, '/v1/{tenantId}/users': {'post': {'tags': ['用户管理'], 'summary': '根据用户客户id查询所有用户', 'operationId': 'listUsingPOST', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': '客户id', 'required': True, 'type': 'integer', 'format': 'int64'}, {'in': 'body', 'name': 'request', 'description': 'request', 'required': True, 'schema': {'$ref': '#/definitions/UsersRequest'}}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«IPage«UserVO»»'}}}}}, '/v1/{tenantId}/workers': {'get': {'tags': ['用户管理'], 'summary': '根据客户id查询所属的所有养护工人', 'operationId': 'workersByTenantIdUsingGET', 'consumes': ['application/json'], 'produces': ['*/*'], 'parameters': [{'name': 'tenantId', 'in': 'path', 'description': '客户id', 'required': True, 'type': 'integer', 'format': 'int64'}], 'responses': {'200': {'description': 'OK', 'schema': {'$ref': '#/definitions/BaseResponse«List«MaintenanceWorkerVO»»'}}}}}}, 'definitions': {'BreakageInfoSearchRequest': {'type': 'object', 'required': ['label', 'tenantId'], 'properties': {'breakageId': {'type': 'string', 'description': '病害编号ID'}, 'breakageStatus': {'type': 'string', 'description': '病害修复状态', 'enum': ['UNREPAIRED', 'REPAIRING', 'COMPLETE']}, 'captureSource': {'type': 'string', 'description': '检查来源，全量查询时不传'}, 'countId': {'type': 'string'}, 'current': {'type': 'integer', 'format': 'int64'}, 'endTime': {'type': 'integer', 'format': 'int64', 'description': '搜索的结束时间'}, 'isUrgent': {'type': 'boolean', 'example': False, 'description': '是否紧急病害等级查询，true：紧急；false：非紧急；全量查询时不传该字段'}, 'label': {'type': 'array', 'description': '病害类型查询', 'items': {'type': 'string'}}, 'latitude': {'type': 'number', 'format': 'double', 'description': '详细位置，纬度前缀模糊查询'}, 'longitude': {'type': 'number', 'format': 'double', 'description': '详细位置，经度前缀模糊查询'}, 'maxBreakageSize': {'type': 'number', 'format': 'float', 'description': '最大受损数值'}, 'maxLimit': {'type': 'integer', 'format': 'int64'}, 'minBreakageSize': {'type': 'number', 'format': 'float', 'description': '最小受损数值'}, 'optimizeCountSql': {'type': 'boolean'}, 'orders': {'type': 'array', 'items': {'$ref': '#/definitions/OrderItem'}}, 'pages': {'type': 'integer', 'format': 'int64'}, 'records': {'type': 'array', 'items': {'type': 'object'}}, 'searchCount': {'type': 'boolean'}, 'sectionId': {'type': 'integer', 'format': 'int64', 'description': '路段id'}, 'size': {'type': 'integer', 'format': 'int64'}, 'startTime': {'type': 'integer', 'format': 'int64', 'description': '搜索的起始时间'}, 'tenantId': {'type': 'integer', 'format': 'int64', 'description': '客户id'}, 'total': {'type': 'integer', 'format': 'int64'}}, 'description': '灾害告警入参'}, 'BaseResponse«WxUserInfoVO»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/WxUserInfoVO'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'BaseResponse«LastCheckVO»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/LastCheckVO'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'MapBreakageDetailVO': {'type': 'object', 'properties': {'aggregateId': {'type': 'string', 'description': '病害聚合根ID'}, 'breakageSize': {'type': 'number', 'format': 'float', 'description': '受损数值'}, 'breakageSizeType': {'type': 'string', 'description': '数值单位'}, 'direction': {'type': 'string', 'description': '方向'}, 'isUrgent': {'type': 'boolean', 'example': False, 'description': '是否紧急病害等级查询，true：紧急；false：非紧急；全量查询时不传该字段'}, 'label': {'type': 'string', 'description': '病害类型'}, 'latitude': {'type': 'number', 'format': 'double', 'description': '纬度'}, 'longitude': {'type': 'number', 'format': 'double', 'description': '经度'}, 'panoramicImageSize': {'description': '大图尺寸', '$ref': '#/definitions/PanoramicImageSize'}, 'panoramicImageUrl': {'type': 'string', 'description': '图片url'}, 'quality': {'type': 'number', 'format': 'float', 'description': '病害置信度'}, 'rectangle': {'description': '小框相对于大图位置', '$ref': '#/definitions/Rectangle'}, 'stake': {'type': 'string', 'description': '里程桩号'}}, 'description': '缩放时查询到的病害对象'}, 'Rectangle': {'type': 'object', 'properties': {'height': {'type': 'integer', 'format': 'int32'}, 'left': {'type': 'integer', 'format': 'int32'}, 'top': {'type': 'integer', 'format': 'int32'}, 'width': {'type': 'integer', 'format': 'int32'}}}, 'SectionStaticsVO': {'type': 'object', 'properties': {'docCount': {'type': 'integer', 'format': 'int64', 'description': '病害数量'}, 'sectionId': {'type': 'integer', 'format': 'int64', 'description': '路段id'}, 'sectionName': {'type': 'string', 'description': '路段名'}}, 'description': '统计的路段信息'}, 'MostBreakagesLabel': {'type': 'object', 'properties': {'amount': {'type': 'integer', 'format': 'int32', 'description': '病害数量'}, 'label': {'type': 'string', 'description': '类型'}}, 'description': '病害最多类型'}, 'BaseResponse«List«SectionVO»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'type': 'array', 'description': '返回的data', 'items': {'$ref': '#/definitions/SectionVO'}}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'IPage«TenantVO»': {'type': 'object', 'properties': {'current': {'type': 'integer', 'format': 'int64'}, 'pages': {'type': 'integer', 'format': 'int64'}, 'records': {'type': 'array', 'items': {'$ref': '#/definitions/TenantVO'}}, 'size': {'type': 'integer', 'format': 'int64'}, 'total': {'type': 'integer', 'format': 'int64'}}}, 'EditLabeloRequest': {'type': 'object', 'required': ['aggregateId', 'label', 'tenantId'], 'properties': {'aggregateId': {'type': 'string', 'description': '聚合根ID'}, 'label': {'type': 'string', 'description': '病害类型'}, 'tenantId': {'type': 'integer', 'format': 'int64', 'description': '客户id'}}, 'description': '查询具体病害参数体'}, 'MapBubbleListRequest': {'type': 'object', 'required': ['label', 'tenantId', 'zoomLevel'], 'properties': {'isUrgent': {'type': 'boolean', 'example': False, 'description': '病害是否紧急，true表示紧急,false表示非紧急'}, 'label': {'type': 'array', 'description': '病害类型查询', 'items': {'type': 'string'}}, 'tenantId': {'type': 'integer', 'format': 'int64', 'description': '客户id'}, 'zoomLevel': {'type': 'integer', 'format': 'int32', 'description': '地图缩放等级,1表示一级,2表示二级'}}, 'description': '每个路段对应的气泡病害数查询入参'}, 'BaseResponse«TotalCompletedWorkOrderVO»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/TotalCompletedWorkOrderVO'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'IPage«BreakageVO»': {'type': 'object', 'properties': {'current': {'type': 'integer', 'format': 'int64'}, 'pages': {'type': 'integer', 'format': 'int64'}, 'records': {'type': 'array', 'items': {'$ref': '#/definitions/BreakageVO'}}, 'size': {'type': 'integer', 'format': 'int64'}, 'total': {'type': 'integer', 'format': 'int64'}}}, 'DeviceCheckResponse': {'type': 'object', 'properties': {'device_sns': {'type': 'array', 'description': 'exist device sn', 'items': {'type': 'string'}}, 'exist': {'type': 'boolean', 'example': False, 'description': 'whether exist device'}, 'size': {'type': 'integer', 'format': 'int32', 'description': 'exist device number'}}, 'description': 'device check exist response'}, 'WxLoginRequest': {'type': 'object', 'required': ['loginCode', 'phoneCode'], 'properties': {'loginCode': {'type': 'string', 'description': '登录Code'}, 'phoneCode': {'type': 'string', 'description': '手机号Code'}}, 'description': '小程序登录请求体'}, 'ImageUploadRequest': {'type': 'object', 'required': ['aggregateId', 'repairedImageUrl'], 'properties': {'aggregateId': {'type': 'string', 'description': '病害聚合ID'}, 'repairedImageUrl': {'type': 'string', 'description': '已修复的图片oss的URL'}}, 'description': '上传已修复病害的图片URL请求体'}, 'BaseResponse«List«FullSizeImageUrlVO»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'type': 'array', 'description': '返回的data', 'items': {'$ref': '#/definitions/FullSizeImageUrlVO'}}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'WxWorkOrderClassifyVO': {'type': 'object', 'properties': {'all': {'type': 'integer', 'format': 'int32', 'description': '所有工单数量'}, 'complete': {'type': 'integer', 'format': 'int32', 'description': '已完成的工单数量'}, 'repairing': {'type': 'integer', 'format': 'int32', 'description': '处理中的工单数量'}}, 'description': '统计不同状态的工单数量'}, 'RepairInfo': {'type': 'object', 'properties': {'createdAt': {'type': 'integer', 'format': 'int64', 'description': '派单时间'}, 'maintenanceWorker': {'type': 'string', 'description': '养护工人'}, 'repairedImageUrl': {'type': 'string', 'description': '修复图片的url'}, 'repairedTime': {'type': 'integer', 'format': 'int64', 'description': '完工时间'}, 'userId': {'type': 'integer', 'format': 'int64', 'description': '养护工人id'}, 'workOrderId': {'type': 'string', 'description': '工单编号'}}, 'description': '工单修复信息'}, 'PanoramicImageSize': {'type': 'object', 'properties': {'height': {'type': 'integer', 'format': 'int32'}, 'width': {'type': 'integer', 'format': 'int32'}}}, 'HashMap«string,string»': {'type': 'object', 'additionalProperties': {'type': 'string'}}, 'WxWorkOrderFlowVO': {'type': 'object', 'properties': {'flowEvent': {'type': 'string', 'description': '流转事件'}, 'flowTime': {'type': 'integer', 'format': 'int64', 'description': '流转时间'}}, 'description': '养护记录信息'}, 'MapListResponse': {'type': 'object', 'properties': {'breakage': {'description': '当前条件返回的病害信息', '$ref': '#/definitions/MapBreakageDetailVO'}, 'interval': {'type': 'string', 'description': '当前区间'}, 'roadId': {'type': 'integer', 'format': 'int64', 'description': '公路ID'}, 'roadIdentifier': {'type': 'string', 'description': '所在公路标识'}, 'roadName': {'type': 'string', 'description': '所在公路名称'}, 'sectionId': {'type': 'integer', 'format': 'int64', 'description': '路段ID'}, 'sectionName': {'type': 'string', 'description': '所在路段，必须'}}, 'description': '地图病害列表信息'}, 'StatisticsDataVO': {'type': 'object', 'properties': {'alias': {'type': 'string', 'description': '月/年份'}, 'value': {'type': 'integer', 'format': 'int32', 'description': '当前月/年份的工单完成数量'}}, 'description': '每月工单完成的信息'}, 'BaseResponse«IPage«RoadVO»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/IPage«RoadVO»'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'SectionAndStakesVO': {'type': 'object', 'required': ['roadId', 'roadIdentifier', 'sectionName'], 'properties': {'listStakeCoordinate': {'type': 'array', 'description': '路段上所有的桩号坐标列表', 'items': {'$ref': '#/definitions/CoordinateVO'}}, 'roadId': {'type': 'integer', 'format': 'int64', 'description': '公路id'}, 'roadIdentifier': {'type': 'string', 'description': '公路编号'}, 'roadName': {'type': 'string', 'description': '公路名称'}, 'sectionId': {'type': 'integer', 'format': 'int64', 'description': '路段id'}, 'sectionName': {'type': 'string', 'description': '路段名字'}}, 'description': '路段和桩号的关联关系'}, 'BaseResponse«List«HashMap«string,string»»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'type': 'array', 'description': '返回的data', 'items': {'$ref': '#/definitions/HashMap«string,string»'}}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'Page«object»': {'type': 'object', 'properties': {'countId': {'type': 'string'}, 'current': {'type': 'integer', 'format': 'int64'}, 'maxLimit': {'type': 'integer', 'format': 'int64'}, 'optimizeCountSql': {'type': 'boolean'}, 'orders': {'type': 'array', 'items': {'$ref': '#/definitions/OrderItem'}}, 'pages': {'type': 'integer', 'format': 'int64'}, 'records': {'type': 'array', 'items': {'type': 'object'}}, 'searchCount': {'type': 'boolean'}, 'size': {'type': 'integer', 'format': 'int64'}, 'total': {'type': 'integer', 'format': 'int64'}}}, 'IPage«UserVO»': {'type': 'object', 'properties': {'current': {'type': 'integer', 'format': 'int64'}, 'pages': {'type': 'integer', 'format': 'int64'}, 'records': {'type': 'array', 'items': {'$ref': '#/definitions/UserVO'}}, 'size': {'type': 'integer', 'format': 'int64'}, 'total': {'type': 'integer', 'format': 'int64'}}}, 'DeviceVo': {'type': 'object', 'properties': {'captureSource': {'type': 'string', 'description': '检测来源'}}, 'description': '设备信息展示实体'}, 'BreakageSearchExternalResponse': {'type': 'object', 'properties': {'breakageList': {'type': 'array', 'description': '病害信息', 'items': {'$ref': '#/definitions/BreakageExternalVo'}}, 'pageNum': {'type': 'integer', 'format': 'int32', 'description': '第几页'}, 'pageSize': {'type': 'integer', 'format': 'int32', 'description': '每页记录数'}, 'pages': {'type': 'integer', 'format': 'int32', 'description': '总页数'}, 'size': {'type': 'integer', 'format': 'int32', 'description': '当前页记录数'}, 'total': {'type': 'integer', 'format': 'int32', 'description': '记录总数'}}, 'description': '病害分页查询对外响应体'}, 'BaseResponse«List«MaintenanceWorkerVO»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'type': 'array', 'description': '返回的data', 'items': {'$ref': '#/definitions/MaintenanceWorkerVO'}}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'BaseResponse«OSS信息返回结果»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/OSS信息返回结果'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'BaseResponse«List«BreakageVO»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'type': 'array', 'description': '返回的data', 'items': {'$ref': '#/definitions/BreakageVO'}}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'CreateWorkOrderRequest': {'type': 'object', 'properties': {'aggregateIds': {'type': 'array', 'description': '病害聚合ID集合', 'items': {'type': 'string'}}, 'maintenanceWorker': {'type': 'string', 'description': '养护工人'}, 'tenantId': {'type': 'integer', 'format': 'int64', 'description': '客户ID'}, 'userId': {'type': 'integer', 'format': 'int64', 'description': '养护工人的用户id'}}, 'description': '生成工单 request'}, 'BreakageSearchExternalRequest': {'type': 'object', 'required': ['pageNum', 'pageSize'], 'properties': {'endTime': {'type': 'integer', 'format': 'int64', 'description': '搜索的结束时间，同开始时间成对出现'}, 'label': {'type': 'string', 'description': '病害类型查询'}, 'pageNum': {'type': 'integer', 'format': 'int32', 'example': 1, 'description': '第几页，从1开始'}, 'pageSize': {'type': 'integer', 'format': 'int32', 'example': 20, 'description': '每页记录数，不能小于1，不能超过500'}, 'startTime': {'type': 'integer', 'format': 'int64', 'description': '搜索的起始时间，同结束时间成对出现'}}, 'description': '病害分页查询对外请求体'}, 'PanoramicImageSizeDTO': {'type': 'object', 'properties': {'height': {'type': 'integer', 'format': 'int32', 'description': '图片宽度'}, 'width': {'type': 'integer', 'format': 'int32', 'description': '图片高度'}}, 'description': '图片的尺寸'}, 'SearchWorkOrderRequest': {'type': 'object', 'properties': {'completeEndTime': {'type': 'integer', 'format': 'int64', 'description': '工单修复结束时间'}, 'completeStartTime': {'type': 'integer', 'format': 'int64', 'description': '工单修复开始时间'}, 'countId': {'type': 'string'}, 'createWorkOrderEndTime': {'type': 'integer', 'format': 'int64', 'description': '工单创建结束时间'}, 'createWorkOrderStartTime': {'type': 'integer', 'format': 'int64', 'description': '工单创建开始时间'}, 'current': {'type': 'integer', 'format': 'int64'}, 'maxLimit': {'type': 'integer', 'format': 'int64'}, 'optimizeCountSql': {'type': 'boolean'}, 'orders': {'type': 'array', 'items': {'$ref': '#/definitions/OrderItem'}}, 'pages': {'type': 'integer', 'format': 'int64'}, 'records': {'type': 'array', 'items': {'type': 'object'}}, 'searchCount': {'type': 'boolean'}, 'size': {'type': 'integer', 'format': 'int64'}, 'total': {'type': 'integer', 'format': 'int64'}, 'workOrderStatus': {'type': 'string', 'description': '工单状态，全部时传 null，REPAIRING：处理中；COMPLETE：已完成', 'enum': ['REPAIRING', 'COMPLETE']}}, 'description': '工单列表查询'}, 'WxWorkOrderVO': {'type': 'object', 'properties': {'breakageNumber': {'type': 'integer', 'format': 'int32', 'description': '工单内病害数量'}, 'completeTime': {'type': 'string', 'description': '工单修复时间'}, 'createWorkOrderTime': {'type': 'string', 'description': '工单创建时间'}, 'maintenanceWorker': {'type': 'string', 'description': '养护工人'}, 'tenantId': {'type': 'integer', 'format': 'int64', 'description': '租户ID'}, 'userId': {'type': 'integer', 'format': 'int64', 'description': '用户ID'}, 'workOrderId': {'type': 'string', 'description': '工单号'}, 'workOrderStatus': {'type': 'string', 'description': '工单状态，REPAIRING：处理中；COMPLETE：已完成', 'enum': ['REPAIRING', 'COMPLETE']}}, 'description': '工单信息'}, 'WxOrderBreakageVO': {'type': 'object', 'properties': {'aggregateId': {'type': 'string', 'description': '病害聚合编号'}, 'breakageSize': {'type': 'number', 'format': 'float', 'description': '受损数值'}, 'breakageSizeType': {'type': 'string', 'description': '数值单位'}, 'capturedImageUrl': {'type': 'string', 'description': '捕获时图片的url'}, 'direction': {'type': 'string', 'description': '行车方向'}, 'isUrgent': {'type': 'boolean', 'example': False, 'description': '是否紧急病害等级查询，true：紧急；false：非紧急；'}, 'label': {'type': 'string', 'description': '病害类型'}, 'latitude': {'type': 'number', 'format': 'double', 'description': '纬度'}, 'longitude': {'type': 'number', 'format': 'double', 'description': '经度'}, 'panoramicImageSize': {'description': '大图尺寸', '$ref': '#/definitions/PanoramicImageSize'}, 'quality': {'type': 'number', 'format': 'float', 'description': '病害置信度'}, 'rectangle': {'description': '小框相对于大图位置', '$ref': '#/definitions/Rectangle'}, 'repairedImageUrl': {'type': 'string', 'description': '修复后图片url'}, 'stake': {'type': 'string', 'description': '里程桩号'}}, 'description': '工单内病害信息'}, 'MapListRequest': {'type': 'object', 'required': ['label', 'sectionId', 'tenantId'], 'properties': {'countId': {'type': 'string'}, 'current': {'type': 'integer', 'format': 'int64'}, 'interval': {'type': 'string', 'description': '当前区间'}, 'isUrgent': {'type': 'boolean', 'example': False, 'description': '是否紧急病害等级查询，true：紧急；false：非紧急；全量查询时不传该字段'}, 'label': {'type': 'array', 'description': '病害类型查询', 'items': {'type': 'string'}}, 'maxLimit': {'type': 'integer', 'format': 'int64'}, 'optimizeCountSql': {'type': 'boolean'}, 'orders': {'type': 'array', 'items': {'$ref': '#/definitions/OrderItem'}}, 'pages': {'type': 'integer', 'format': 'int64'}, 'records': {'type': 'array', 'items': {'type': 'object'}}, 'roadId': {'type': 'integer', 'format': 'int64', 'description': '公路id'}, 'searchCount': {'type': 'boolean'}, 'sectionId': {'type': 'integer', 'format': 'int64', 'description': '路段id'}, 'size': {'type': 'integer', 'format': 'int64'}, 'tenantId': {'type': 'integer', 'format': 'int64', 'description': '客户id'}, 'total': {'type': 'integer', 'format': 'int64'}}, 'description': '每个路段区间的病害列表查询入参'}, 'BaseResponse': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'type': 'object', 'description': '返回的data'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'BaseResponse«RepairInfo»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/RepairInfo'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'DeviceRegisterRequest': {'type': 'object', 'properties': {'company_name': {'type': 'string', 'description': '公司名称'}, 'device_sn': {'type': 'string', 'description': '设备序列号'}, 'extra_info': {'type': 'string', 'description': '可选，设备注册上来的其它信息'}, 'password': {'type': 'string', 'description': '密码或复用token'}, 'product_name': {'type': 'string', 'description': '产品名称, 与设备类型名称对应'}, 'registry_id': {'type': 'string', 'description': '租户ID'}, 'soft_version': {'type': 'string', 'description': '版本号'}, 'username': {'type': 'string', 'description': '用户名'}}, 'description': '设备动态注册请求参数'}, 'FullSizeImageUrlVO': {'type': 'object', 'properties': {'capturedImageUrl': {'type': 'string', 'description': '捕获时的图片Url'}, 'repairedImageUrl': {'type': 'string', 'description': '修复后的图片Url'}}, 'description': '病害大图Url'}, 'WorkOrderDetailVO': {'type': 'object', 'properties': {'orderBreakages': {'type': 'array', 'description': '病害信息', 'items': {'$ref': '#/definitions/WxOrderBreakageVO'}}, 'workOrder': {'description': '工单信息', '$ref': '#/definitions/WxWorkOrderVO'}, 'workOrderFlow': {'type': 'array', 'description': '养护记录', 'items': {'$ref': '#/definitions/WxWorkOrderFlowVO'}}}, 'description': '工单详情'}, 'ResetPasswordRequest': {'type': 'object', 'required': ['newPassword'], 'properties': {'newPassword': {'type': 'string', 'description': '用户新密码, 需匹配正则：^(?=.*\\d)(?=.*[a-z])(?=.*[A-Z]).{8,20}$'}}, 'description': '系统管理员重置用户密码请求体'}, 'RoadConditionVO': {'type': 'object', 'required': ['administrativeLevel', 'functionLevel', 'pavementType', 'roadType'], 'properties': {'administrativeLevel': {'type': 'string', 'description': '行政级别'}, 'functionLevel': {'type': 'string', 'description': '功能等级'}, 'pavementType': {'type': 'string', 'description': '路面类型'}, 'roadType': {'type': 'string', 'description': '道路类型'}}, 'description': '筛选条件'}, 'BaseResponse«RoadVO»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/RoadVO'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'UsersRequest': {'type': 'object', 'properties': {'countId': {'type': 'string'}, 'current': {'type': 'integer', 'format': 'int64'}, 'maxLimit': {'type': 'integer', 'format': 'int64'}, 'optimizeCountSql': {'type': 'boolean'}, 'orders': {'type': 'array', 'items': {'$ref': '#/definitions/OrderItem'}}, 'pages': {'type': 'integer', 'format': 'int64'}, 'records': {'type': 'array', 'items': {'type': 'object'}}, 'searchCount': {'type': 'boolean'}, 'size': {'type': 'integer', 'format': 'int64'}, 'total': {'type': 'integer', 'format': 'int64'}}}, '设备元信息': {'type': 'object', 'properties': {'company_name': {'type': 'string', 'description': '公司名称'}, 'description': {'type': 'string', 'description': '设备描述信息'}, 'device_id': {'type': 'string', 'description': '设备ID'}, 'device_kind': {'type': 'string', 'description': '产品型号'}, 'device_sn': {'type': 'string', 'description': '设备序列号'}, 'extra_info': {'type': 'string', 'description': '拓展附加信息'}, 'metadata': {'type': 'object', 'description': '设备静态属性', 'additionalProperties': {'type': 'object'}}, 'product_name': {'type': 'string', 'description': '产品名称'}, 'type': {'type': 'integer', 'format': 'int32', 'description': '设备类型'}}}, 'IPage«RoadVO»': {'type': 'object', 'properties': {'current': {'type': 'integer', 'format': 'int64'}, 'pages': {'type': 'integer', 'format': 'int64'}, 'records': {'type': 'array', 'items': {'$ref': '#/definitions/RoadVO'}}, 'size': {'type': 'integer', 'format': 'int64'}, 'total': {'type': 'integer', 'format': 'int64'}}}, 'BaseResponse«IPage«StakeVO»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/IPage«StakeVO»'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'DevicesCheckRequest': {'type': 'object', 'properties': {'device_sn': {'type': 'array', 'description': 'device sn list for check exist', 'items': {'type': 'string'}}}, 'description': 'check devices exist request'}, 'AggregationRequest': {'type': 'object', 'required': ['breakageIds', 'tenantId'], 'properties': {'breakageIds': {'type': 'array', 'description': '手动聚合的时候-聚合ID/手动拆分的时候-病害ID', 'items': {'type': 'string'}}, 'tenantId': {'type': 'integer', 'format': 'int64', 'description': '客户id'}}, 'description': '病害手动聚合/手动拆分的条件参数'}, 'OrderBreakageVo': {'type': 'object', 'properties': {'aggregateId': {'type': 'string', 'description': '病害聚合编号'}, 'breakageSize': {'type': 'number', 'format': 'float', 'description': '受损数值'}, 'breakageSizeType': {'type': 'string', 'description': '数值单位'}, 'capturedImageUrl': {'type': 'string', 'description': '捕获时图片的url'}, 'direction': {'type': 'string', 'description': '行车方向'}, 'isUrgent': {'type': 'boolean', 'example': False, 'description': '是否紧急病害等级查询，true：紧急；false：非紧急；'}, 'label': {'type': 'string', 'description': '病害类型'}, 'latitude': {'type': 'number', 'format': 'double', 'description': '纬度'}, 'longitude': {'type': 'number', 'format': 'double', 'description': '经度'}, 'panoramicImageSize': {'description': '大图尺寸', '$ref': '#/definitions/PanoramicImageSize'}, 'quality': {'type': 'number', 'format': 'float', 'description': '病害置信度'}, 'rectangle': {'description': '小框相对于大图位置', '$ref': '#/definitions/Rectangle'}, 'repairedImageUrl': {'type': 'string', 'description': '修复后图片url'}, 'stake': {'type': 'string', 'description': '里程桩号'}}, 'description': '工单内病害信息'}, 'BaseResponse«List«StatisticsDataVO»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'type': 'array', 'description': '返回的data', 'items': {'$ref': '#/definitions/StatisticsDataVO'}}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'BaseResponse«List«DeviceVo»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'type': 'array', 'description': '返回的data', 'items': {'$ref': '#/definitions/DeviceVo'}}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, '设备动态注册返回响应': {'type': 'object', 'properties': {'device_name': {'type': 'string', 'description': '设备名称'}, 'extra_info': {'type': 'string', 'description': '可选,业务回传给设备的其它信息'}, 'metadata': {'description': '设备元信息', '$ref': '#/definitions/设备元信息'}, 'registry_id': {'type': 'string', 'description': '租户ID'}, 'result': {'description': '返回码和错误信息', '$ref': '#/definitions/设备动态注册结果'}, 'rom_uuid': {'type': 'string', 'description': '可选,rom唯一ID'}}}, 'UserVO': {'type': 'object', 'required': ['email', 'name', 'password', 'tenantId', 'userType'], 'properties': {'email': {'type': 'string', 'description': '用户注册邮箱'}, 'id': {'type': 'integer', 'format': 'int64', 'description': '系统用户id'}, 'name': {'type': 'string', 'description': '用户名'}, 'password': {'type': 'string', 'description': '密码'}, 'phoneNumber': {'type': 'string', 'description': '用户电话号码'}, 'status': {'type': 'string', 'description': '用户状态，unsubscribe:已注销，activated:正常'}, 'tenantId': {'type': 'integer', 'format': 'int64', 'description': '公司系统id'}, 'userType': {'type': 'string', 'description': '用户类型：SYSTEM_ADMIN(创建用户时不可用),TENANT_ADMIN(公司管理员), TENANT_MEMBER(公司成员),MAINTENANCE_WORKER(养护工人)', 'enum': ['TENANT_ADMIN', 'TENANT_MEMBER', 'MAINTENANCE_WORKER']}}, 'description': '用户实体'}, 'OrderItem': {'type': 'object', 'properties': {'asc': {'type': 'boolean'}, 'column': {'type': 'string'}}}, 'BaseResponse«IPage«WorkOrderVO»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/IPage«WorkOrderVO»'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'BaseResponse«object»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'type': 'object', 'description': '返回的data'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'WorkOrderVO': {'type': 'object', 'properties': {'breakageNumber': {'type': 'integer', 'format': 'int32', 'description': '工单内病害数量'}, 'completeTime': {'type': 'integer', 'format': 'int64', 'description': '工单修复时间'}, 'createWorkOrderTime': {'type': 'integer', 'format': 'int64', 'description': '工单创建时间'}, 'maintenanceWorker': {'type': 'string', 'description': '养护工人'}, 'workOrderId': {'type': 'string', 'description': '工单号'}, 'workOrderStatus': {'type': 'string', 'description': '工单状态，REPAIRING：处理中；COMPLETE：已完成', 'enum': ['REPAIRING', 'COMPLETE']}}, 'description': '工单信息'}, 'BubbleVO': {'type': 'object', 'properties': {'counts': {'type': 'integer', 'format': 'int64', 'description': '当前区间病害总数'}, 'interval': {'type': 'string', 'description': '当前区间名'}}, 'description': '本区间病害统计详情'}, 'MapBreakageListRequest': {'type': 'object', 'required': ['bottomRight', 'label', 'tenantId', 'topLeft'], 'properties': {'bottomRight': {'description': '地图右下角坐标', '$ref': '#/definitions/BottomRight'}, 'isUrgent': {'type': 'boolean', 'example': False, 'description': '是否紧急病害等级查询，true：紧急；false：非紧急；全量查询时不传该字段'}, 'label': {'type': 'array', 'description': '病害类型查询', 'items': {'type': 'string'}}, 'tenantId': {'type': 'integer', 'format': 'int64', 'description': '客户id'}, 'topLeft': {'description': '地图左上角坐标', '$ref': '#/definitions/TopLeft'}}, 'description': '每个路段对应的气泡病害数查询入参'}, 'BaseResponse«IPage«BreakageVO»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/IPage«BreakageVO»'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'BaseResponse«WorkOrderDetailVO»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/WorkOrderDetailVO'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'MostBreakagesInterval': {'type': 'object', 'properties': {'amount': {'type': 'integer', 'format': 'int32', 'description': '病害数量'}, 'interval': {'type': 'string', 'description': '区间'}, 'sectionName': {'type': 'string', 'description': '路段名称'}}, 'description': '病害最密集的区间'}, 'BaseResponse«List«BreakageGradeSetVO»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'type': 'array', 'description': '返回的data', 'items': {'$ref': '#/definitions/BreakageGradeSetVO'}}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'CollectionModelPageVO': {'type': 'object', 'properties': {'modelList': {'type': 'array', 'description': '回流数据列表', 'items': {'$ref': '#/definitions/CollectionModelVO'}}, 'pageNum': {'type': 'integer', 'format': 'int32', 'description': '第几页'}, 'pageSize': {'type': 'integer', 'format': 'int32', 'description': '每页记录数'}, 'pages': {'type': 'integer', 'format': 'int32', 'description': '总页数'}, 'size': {'type': 'integer', 'format': 'int32', 'description': '当前页记录数'}, 'total': {'type': 'integer', 'format': 'int32', 'description': '记录总数'}}, 'description': '分页数据回流数据实体'}, 'BaseResponse«SectionVO»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/SectionVO'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'Page': {'type': 'object', 'properties': {'countId': {'type': 'string'}, 'current': {'type': 'integer', 'format': 'int64'}, 'maxLimit': {'type': 'integer', 'format': 'int64'}, 'optimizeCountSql': {'type': 'boolean'}, 'orders': {'type': 'array', 'items': {'$ref': '#/definitions/OrderItem'}}, 'pages': {'type': 'integer', 'format': 'int64'}, 'records': {'type': 'array', 'items': {'type': 'object'}}, 'searchCount': {'type': 'boolean'}, 'size': {'type': 'integer', 'format': 'int64'}, 'total': {'type': 'integer', 'format': 'int64'}}}, 'BaseResponse«string»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'type': 'string', 'description': '返回的data'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'SectionPageRequest': {'type': 'object', 'properties': {'countId': {'type': 'string'}, 'current': {'type': 'integer', 'format': 'int64'}, 'maxLimit': {'type': 'integer', 'format': 'int64'}, 'optimizeCountSql': {'type': 'boolean'}, 'orders': {'type': 'array', 'items': {'$ref': '#/definitions/OrderItem'}}, 'pages': {'type': 'integer', 'format': 'int64'}, 'records': {'type': 'array', 'items': {'type': 'object'}}, 'searchCount': {'type': 'boolean'}, 'size': {'type': 'integer', 'format': 'int64'}, 'total': {'type': 'integer', 'format': 'int64'}}}, 'BaseResponse«DeviceCheckResponse»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/DeviceCheckResponse'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'RoadsRequest': {'type': 'object', 'required': ['vo'], 'properties': {'countId': {'type': 'string'}, 'current': {'type': 'integer', 'format': 'int64'}, 'maxLimit': {'type': 'integer', 'format': 'int64'}, 'optimizeCountSql': {'type': 'boolean'}, 'orders': {'type': 'array', 'items': {'$ref': '#/definitions/OrderItem'}}, 'pages': {'type': 'integer', 'format': 'int64'}, 'records': {'type': 'array', 'items': {'type': 'object'}}, 'searchCount': {'type': 'boolean'}, 'size': {'type': 'integer', 'format': 'int64'}, 'total': {'type': 'integer', 'format': 'int64'}, 'vo': {'description': '查询条件', '$ref': '#/definitions/RoadConditionVO'}}}, 'ModuleVO': {'type': 'object', 'required': ['code', 'description', 'moduleName'], 'properties': {'code': {'type': 'integer', 'format': 'int64', 'description': '资源码'}, 'description': {'type': 'string', 'description': '资源描述'}, 'moduleName': {'type': 'string', 'description': '资源名称'}}, 'description': '资源实体'}, 'WxUserInfoVO': {'type': 'object', 'properties': {'avatar': {'type': 'string', 'description': '用户头像（暂无）'}, 'realName': {'type': 'string', 'description': '真实姓名'}, 'tenantId': {'type': 'integer', 'format': 'int64', 'description': '客户的id'}, 'tenantName': {'type': 'string', 'description': '客户名称'}, 'token': {'type': 'string', 'description': '用户登录信息的token'}, 'userId': {'type': 'integer', 'format': 'int64', 'description': '用户在tbl_user中的主键id'}}, 'description': '用户信息'}, 'gateway 转发请求的请求体，同 RPCCallCloudRequest 一致': {'type': 'object', 'properties': {'content': {'type': 'array', 'description': 'request info', 'items': {'type': 'string', 'format': 'byte'}}, 'device_id': {'type': 'string', 'description': 'device id'}, 'name': {'type': 'string', 'description': 'method name'}, 'registry_id': {'type': 'string', 'description': 'symphony registry id'}, 'request_id': {'type': 'string', 'description': 'request id,用于请求跟踪'}}}, 'IPage«StakeVO»': {'type': 'object', 'properties': {'current': {'type': 'integer', 'format': 'int64'}, 'pages': {'type': 'integer', 'format': 'int64'}, 'records': {'type': 'array', 'items': {'$ref': '#/definitions/StakeVO'}}, 'size': {'type': 'integer', 'format': 'int64'}, 'total': {'type': 'integer', 'format': 'int64'}}}, 'EditStakeRequest': {'type': 'object', 'required': ['latitude', 'longitude'], 'properties': {'latitude': {'type': 'number', 'format': 'double', 'description': '纬度'}, 'longitude': {'type': 'number', 'format': 'double', 'description': '经度'}}, 'description': '编辑桩号请求体'}, 'IPage«WorkOrderVO»': {'type': 'object', 'properties': {'current': {'type': 'integer', 'format': 'int64'}, 'pages': {'type': 'integer', 'format': 'int64'}, 'records': {'type': 'array', 'items': {'$ref': '#/definitions/WorkOrderVO'}}, 'size': {'type': 'integer', 'format': 'int64'}, 'total': {'type': 'integer', 'format': 'int64'}}}, 'TopLeft': {'type': 'object', 'required': ['latitude', 'longitude'], 'properties': {'latitude': {'type': 'number', 'format': 'double', 'description': '纬度'}, 'longitude': {'type': 'number', 'format': 'double', 'description': '经度'}}, 'description': '地图左上角坐标'}, 'BaseResponse«IPage«MapListResponse»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/IPage«MapListResponse»'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'CollectConditionRequest': {'type': 'object', 'required': ['breakageThreshold', 'breakageType', 'endTime', 'startTime', 'tenantId'], 'properties': {'breakageThreshold': {'type': 'object', 'description': '阈值列表，Map类型', 'additionalProperties': {'type': 'number', 'format': 'float'}}, 'breakageType': {'type': 'array', 'example': '[linear, alligator, pothole, raveling, explicit,subsidence, rut, seal, patch, horizontalCrack, verticalCrack]', 'description': '病害类型列表', 'items': {'type': 'string'}}, 'endTime': {'type': 'integer', 'format': 'int64', 'description': '查询结束时间'}, 'startTime': {'type': 'integer', 'format': 'int64', 'description': '查询开始时间'}, 'tenantId': {'type': 'integer', 'format': 'int64', 'description': '客户ID'}}, 'description': '转化病害数据请求参数'}, 'MapBubbleListVO': {'type': 'object', 'properties': {'counts': {'type': 'integer', 'format': 'int64', 'description': '当前路段的病害总数，必须'}, 'intervals': {'type': 'array', 'description': '当前路段区间上的统计详情', 'items': {'$ref': '#/definitions/BubbleVO'}}, 'roadId': {'type': 'integer', 'format': 'int64', 'description': '公路ID，必须'}, 'sectionId': {'type': 'integer', 'format': 'int64', 'description': '路段ID，必须'}, 'sectionName': {'type': 'string', 'description': '所在路段，必须'}}, 'description': '每个路段对应的气泡病害数查询返回值'}, 'OSS信息返回结果': {'type': 'object', 'properties': {'accessKeyId': {'type': 'string', 'description': 'access key id'}, 'accessKeySecret': {'type': 'string', 'description': 'access key secret'}, 'bucketName': {'type': 'string', 'description': 'bucket name'}, 'expiration': {'type': 'string', 'description': '过期时间，UTC 格式，按客户端时区转换使用'}, 'region': {'type': 'string', 'description': 'Bucket所在地域'}, 'securityToken': {'type': 'string', 'description': '从STS服务获取的安全令牌'}}}, 'BaseResponse«UserVO»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/UserVO'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'MostBreakagesLabelVo': {'type': 'object', 'properties': {'amount': {'type': 'integer', 'format': 'int64', 'description': '病害数量'}, 'isUrgent': {'type': 'boolean', 'example': False, 'description': '是否紧急病害等级查询，true：紧急；false：非紧急；'}, 'label': {'type': 'string', 'description': '类型'}}, 'description': '病害最多类型'}, 'BaseResponse«List«MapBreakageDetailVO»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'type': 'array', 'description': '返回的data', 'items': {'$ref': '#/definitions/MapBreakageDetailVO'}}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'BaseResponse«BreakageSearchExternalResponse»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/BreakageSearchExternalResponse'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'BaseResponse«IPage«SectionVO»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/IPage«SectionVO»'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'IPage«MapListResponse»': {'type': 'object', 'properties': {'current': {'type': 'integer', 'format': 'int64'}, 'pages': {'type': 'integer', 'format': 'int64'}, 'records': {'type': 'array', 'items': {'$ref': '#/definitions/MapListResponse'}}, 'size': {'type': 'integer', 'format': 'int64'}, 'total': {'type': 'integer', 'format': 'int64'}}}, 'BaseResponse«TenantVO»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/TenantVO'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'BaseResponse«IPage«UserVO»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/IPage«UserVO»'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'WorkOrderStatisticResponse': {'type': 'object', 'properties': {'completeNumber': {'type': 'integer', 'format': 'int32', 'description': '已完成数量'}, 'repairingNumber': {'type': 'integer', 'format': 'int32', 'description': '处理中数量'}, 'totalWorkOrder': {'type': 'integer', 'format': 'int32', 'description': '工单总数'}}, 'description': '工单数量统计返回体'}, 'StakeVO': {'type': 'object', 'required': ['coordinateSystem', 'latitude', 'longitude', 'sectionId', 'sectionName', 'stakeSerialNumber'], 'properties': {'coordinateSystem': {'type': 'string', 'description': '坐标系', 'enum': ['WGS84', 'GCJ02', 'BD09']}, 'id': {'type': 'integer', 'format': 'int64', 'description': '桩号系统ID'}, 'latitude': {'type': 'number', 'format': 'double', 'description': '纬度'}, 'longitude': {'type': 'number', 'format': 'double', 'description': '经度，0 代表无效'}, 'roadIdentifier': {'type': 'string', 'description': '所属公路编号'}, 'sectionId': {'type': 'integer', 'format': 'int64', 'description': '路段ID'}, 'sectionName': {'type': 'string', 'description': '所属路段'}, 'stakeSerialNumber': {'type': 'string', 'description': '路桩编号，eg: K2625+200 or K2625+0'}}, 'description': '桩号展示对象'}, 'UserProfileVO': {'type': 'object', 'required': ['modules', 'user'], 'properties': {'modules': {'type': 'array', 'description': '资源列表', 'items': {'$ref': '#/definitions/ModuleVO'}}, 'user': {'description': '用户实体', '$ref': '#/definitions/UserVO'}}, 'description': '用户登入成功返回数据'}, 'BaseResponse«WorkOrderStatisticResponse»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/WorkOrderStatisticResponse'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'BreakageExternalVo': {'type': 'object', 'properties': {'breakageId': {'type': 'string', 'description': '病害本身编号'}, 'breakageSize': {'type': 'number', 'format': 'float', 'description': '受损数值'}, 'breakageSizeType': {'type': 'string', 'description': '数值单位, m huo m2'}, 'captureSource': {'type': 'string', 'description': '检测来源'}, 'captureTime': {'type': 'integer', 'format': 'int64', 'description': '检测时间'}, 'direction': {'type': 'string', 'description': '行车方向'}, 'label': {'type': 'string', 'description': '病害类型'}, 'latitude': {'type': 'number', 'format': 'double', 'description': '纬度'}, 'longitude': {'type': 'number', 'format': 'double', 'description': '经度'}, 'panoramicImageInfoVO': {'description': '病害图片信息', '$ref': '#/definitions/PanoramicImageInfoVO'}, 'quality': {'type': 'number', 'format': 'float', 'description': '病害置信度'}, 'roadIdentifier': {'type': 'string', 'description': '所在公路标识'}, 'roadName': {'type': 'string', 'description': '所在公路名称'}, 'roadType': {'type': 'string', 'description': '路面类型：沥青路面'}, 'sectionName': {'type': 'string', 'description': '所在路段'}, 'stake': {'type': 'string', 'description': '里程桩号'}}, 'description': '灾害信息'}, 'RectangleDTO': {'type': 'object', 'properties': {'height': {'type': 'integer', 'format': 'int32', 'description': '框的高度'}, 'left': {'type': 'integer', 'format': 'int32', 'description': '离左边的距离'}, 'top': {'type': 'integer', 'format': 'int32', 'description': '离顶点的距离'}, 'width': {'type': 'integer', 'format': 'int32', 'description': '框的宽度'}}, 'description': '病害框的坐标，单位是像素'}, 'WorkOrderDetailResponse': {'type': 'object', 'properties': {'orderBreakages': {'type': 'array', 'description': '病害信息', 'items': {'$ref': '#/definitions/OrderBreakageVo'}}, 'workOrder': {'description': '工单信息', '$ref': '#/definitions/WorkOrderVO'}, 'workOrderFlow': {'type': 'array', 'description': '养护记录', 'items': {'$ref': '#/definitions/WorkOrderFlowVo'}}}, 'description': '工单详情'}, 'StatisticsLabelVO': {'type': 'object', 'properties': {'breakagesLabel': {'type': 'array', 'description': '病害类型数量', 'items': {'$ref': '#/definitions/MostBreakagesLabelVo'}}, 'sectionId': {'type': 'integer', 'format': 'int64', 'description': '路段ID'}, 'totalBreakages': {'type': 'integer', 'format': 'int64', 'description': '病害总数'}}, 'description': '病害面板的展示信息'}, 'SectionVO': {'type': 'object', 'required': ['country', 'name', 'province', 'roadId', 'roadIdentifier', 'startingPoint', 'terminalPoint'], 'properties': {'country': {'type': 'string', 'description': '国家'}, 'id': {'type': 'integer', 'format': 'int64', 'description': '路段id'}, 'name': {'type': 'string', 'description': '路段名字'}, 'province': {'type': 'string', 'description': '省份'}, 'roadId': {'type': 'integer', 'format': 'int64', 'description': '公路id'}, 'roadIdentifier': {'type': 'string', 'description': '公路编号'}, 'roadName': {'type': 'string', 'description': '公路名称'}, 'startingPoint': {'type': 'string', 'description': '起点'}, 'terminalPoint': {'type': 'string', 'description': '终点'}}, 'description': '路段信息'}, 'MaintenanceWorkerVO': {'type': 'object', 'properties': {'maintenanceWorker': {'type': 'string', 'description': '养护工人的名字'}, 'phoneNumber': {'type': 'string', 'description': '用户电话号码'}, 'tenantId': {'type': 'integer', 'format': 'int64', 'description': '客户id'}, 'userId': {'type': 'integer', 'format': 'int64', 'description': '养护工人的用户id'}, 'userType': {'type': 'string', 'description': '用户类型：SYSTEM_ADMIN(创建用户时不可用),TENANT_ADMIN(公司管理员), TENANT_MEMBER(公司成员),MAINTENANCE_WORKER(养护工人)'}}, 'description': '养护工人VO'}, 'PanoramicImageInfoVO': {'type': 'object', 'properties': {'panoramicImageSize': {'description': '图片尺寸', '$ref': '#/definitions/PanoramicImageSizeDTO'}, 'panoramicImageUrl': {'type': 'string', 'description': '图片url，为 preSignURL，过期后无效'}, 'rectangleDTO': {'description': '病害框的坐标，单位是像素', '$ref': '#/definitions/RectangleDTO'}}, 'description': '病害图片信息'}, 'BaseResponse«UserProfileVO»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/UserProfileVO'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'CollectionModelVO': {'type': 'object', 'properties': {'name': {'type': 'string', 'description': '数据实体name按规则生成'}, 'preAnnotationResult': {'type': 'string', 'description': '预处理数据'}, 'tenantName': {'type': 'string', 'description': '客户名称'}, 'url': {'type': 'string', 'description': '病害数据图片url'}}, 'description': '数据回流数据实体'}, 'BaseResponse«WxWorkOrderClassifyVO»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/WxWorkOrderClassifyVO'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'IPage«SectionVO»': {'type': 'object', 'properties': {'current': {'type': 'integer', 'format': 'int64'}, 'pages': {'type': 'integer', 'format': 'int64'}, 'records': {'type': 'array', 'items': {'$ref': '#/definitions/SectionVO'}}, 'size': {'type': 'integer', 'format': 'int64'}, 'total': {'type': 'integer', 'format': 'int64'}}}, 'BaseResponse«StakeVO»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/StakeVO'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'WorkOrderFlowVo': {'type': 'object', 'properties': {'flowEvent': {'type': 'string', 'description': '流转事件'}, 'flowTime': {'type': 'integer', 'format': 'int64', 'description': '流转时间'}}, 'description': '养护记录信息'}, 'BaseResponse«StatisticsVO»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/StatisticsVO'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'RoadVO': {'type': 'object', 'required': ['administrativeLevel', 'functionLevel', 'identifier', 'name', 'pavementType', 'roadType', 'shortName'], 'properties': {'administrativeLevel': {'type': 'string', 'description': '行政级别'}, 'functionLevel': {'type': 'string', 'description': '功能等级'}, 'id': {'type': 'integer', 'format': 'int64', 'description': '公路id'}, 'identifier': {'type': 'string', 'description': '公路编号'}, 'name': {'type': 'string', 'description': '公路名称'}, 'pavementType': {'type': 'string', 'description': '路面类型'}, 'roadType': {'type': 'string', 'description': '道路类型'}, 'shortName': {'type': 'string', 'description': '公路简称'}}, 'description': '公路'}, 'CoordinateVO': {'type': 'object', 'properties': {'latitude': {'type': 'number', 'format': 'double', 'description': '纬度'}, 'longitude': {'type': 'number', 'format': 'double', 'description': '经度'}, 'stakeSerialNumber': {'type': 'string', 'description': '桩号，返回K+100'}}}, 'BaseResponse«IPage«WxWorkOrderVO»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/IPage«WxWorkOrderVO»'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'GradeRequest': {'type': 'object', 'required': ['isUrgent', 'labelName', 'tenantId'], 'properties': {'isUrgent': {'type': 'boolean', 'example': False, 'description': '是否紧急病害等级查询，true：紧急；false：非紧急；'}, 'labelName': {'type': 'string', 'description': '病害类型的名称，对应BreakageType枚举里的name属性'}, 'tenantId': {'type': 'integer', 'format': 'int64', 'description': '客户的id'}}}, 'WxMyWorkOrderRequest': {'type': 'object', 'properties': {'completeBegin': {'type': 'string', 'description': '完成起始时间'}, 'completeEnd': {'type': 'string', 'description': '完成截止时间'}, 'countId': {'type': 'string'}, 'current': {'type': 'integer', 'format': 'int64'}, 'dispatchBegin': {'type': 'string', 'description': '派单起始时间'}, 'dispatchEnd': {'type': 'string', 'description': '派单截止时间'}, 'maxLimit': {'type': 'integer', 'format': 'int64'}, 'optimizeCountSql': {'type': 'boolean'}, 'orders': {'type': 'array', 'items': {'$ref': '#/definitions/OrderItem'}}, 'pages': {'type': 'integer', 'format': 'int64'}, 'records': {'type': 'array', 'items': {'type': 'object'}}, 'searchCount': {'type': 'boolean'}, 'size': {'type': 'integer', 'format': 'int64'}, 'total': {'type': 'integer', 'format': 'int64'}, 'workOrderStatus': {'type': 'string', 'description': '工单状态'}}, 'description': '小程序-查询我的工单-请求体'}, 'MultiExplicitBreakageInfoRequest': {'type': 'object', 'required': ['aggregateId', 'tenantId'], 'properties': {'aggregateId': {'type': 'array', 'description': '多个聚合根ID', 'items': {'type': 'string'}}, 'tenantId': {'type': 'integer', 'format': 'int64', 'description': '客户id'}}, 'description': '查询具体病害参数体'}, 'BreakageGradeSetVO': {'type': 'object', 'properties': {'isUrgent': {'type': 'boolean', 'example': False, 'description': '是否紧急病害等级查询，true：紧急；false：非紧急；'}, 'labelName': {'type': 'string', 'description': '病害类型的名称，对应LabelEnum枚举名'}}}, 'TotalCompletedWorkOrderVO': {'type': 'object', 'properties': {'startWith': {'type': 'integer', 'format': 'int32', 'description': '我的工单开始年份'}, 'totalCompletedWorkOrder': {'type': 'integer', 'format': 'int32', 'description': '完成工单总数'}}, 'description': '我的完成工单总数'}, 'LabelModificationCollectionRequest': {'type': 'object', 'required': ['pageNum', 'pageSize'], 'properties': {'endTime': {'type': 'string'}, 'pageNum': {'type': 'integer', 'format': 'int32', 'example': 1, 'description': '第几页，从1开始'}, 'pageSize': {'type': 'integer', 'format': 'int32', 'example': 20, 'description': '每页记录数，不能小于1，不能超过500'}, 'startTime': {'type': 'string'}}, 'description': '转化病害数据分页请求参数'}, 'ExplicitBreakageInfoRequest': {'type': 'object', 'required': ['aggregateId', 'tenantId'], 'properties': {'aggregateId': {'type': 'string', 'description': '聚合根ID'}, 'countId': {'type': 'string'}, 'current': {'type': 'integer', 'format': 'int64'}, 'maxLimit': {'type': 'integer', 'format': 'int64'}, 'optimizeCountSql': {'type': 'boolean'}, 'orders': {'type': 'array', 'items': {'$ref': '#/definitions/OrderItem'}}, 'pages': {'type': 'integer', 'format': 'int64'}, 'records': {'type': 'array', 'items': {'type': 'object'}}, 'searchCount': {'type': 'boolean'}, 'size': {'type': 'integer', 'format': 'int64'}, 'tenantId': {'type': 'integer', 'format': 'int64', 'description': '客户id'}, 'total': {'type': 'integer', 'format': 'int64'}}, 'description': '查询具体病害参数体'}, 'LastCheckVO': {'type': 'object', 'properties': {'labelCount': {'type': 'integer', 'format': 'int64', 'description': '病害总数'}, 'lastCaptureTime': {'type': 'integer', 'format': 'int64', 'description': '最后一次巡检时间'}, 'urgentCount': {'type': 'integer', 'format': 'int64', 'description': '紧急病害总数'}}, 'description': '最后一次巡检信息'}, 'BaseResponse«List«MapBubbleListVO»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'type': 'array', 'description': '返回的data', 'items': {'$ref': '#/definitions/MapBubbleListVO'}}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'BreakageVO': {'type': 'object', 'properties': {'breakageId': {'type': 'string', 'description': '病害本身编号'}, 'breakageSize': {'type': 'number', 'format': 'float', 'description': '受损数值'}, 'breakageSizeType': {'type': 'string', 'description': '数值单位'}, 'captureSource': {'type': 'string', 'description': '检测来源'}, 'direction': {'type': 'string', 'description': '行车方向'}, 'firstCaptureTime': {'type': 'integer', 'format': 'int64', 'description': '首次检测时间'}, 'isUrgent': {'type': 'boolean', 'example': False, 'description': '是否紧急病害等级查询，true：紧急；false：非紧急；'}, 'label': {'type': 'string', 'description': '病害类型'}, 'lastCaptureTime': {'type': 'integer', 'format': 'int64', 'description': '最新检测时间'}, 'latitude': {'type': 'number', 'format': 'double', 'description': '纬度'}, 'longitude': {'type': 'number', 'format': 'double', 'description': '经度'}, 'panoramicImageInfoVO': {'description': '病害图片信息', '$ref': '#/definitions/PanoramicImageInfoVO'}, 'quality': {'type': 'number', 'format': 'float', 'description': '病害置信度'}, 'roadIdentifier': {'type': 'string', 'description': '所在公路标识'}, 'roadName': {'type': 'string', 'description': '所在公路名称'}, 'roadType': {'type': 'string', 'description': '路面类型：沥青路面'}, 'sectionName': {'type': 'string', 'description': '所在路段'}, 'stake': {'type': 'string', 'description': '里程桩号'}, 'status': {'type': 'string', 'description': '病害状态'}, 'workOrderId': {'type': 'string', 'description': '工单号'}}, 'description': '灾害信息'}, 'BaseResponse«List«SectionAndStakesVO»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'type': 'array', 'description': '返回的data', 'items': {'$ref': '#/definitions/SectionAndStakesVO'}}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'CollectConditionPageRequest': {'type': 'object', 'required': ['breakageThreshold', 'breakageType', 'endTime', 'pageNum', 'pageSize', 'startTime', 'tenantId'], 'properties': {'breakageThreshold': {'type': 'object', 'description': '阈值列表，Map类型', 'additionalProperties': {'type': 'number', 'format': 'float'}}, 'breakageType': {'type': 'array', 'example': '[linear, alligator, pothole, raveling, explicit,subsidence, rut, seal, patch, horizontalCrack, verticalCrack]', 'description': '病害类型列表', 'items': {'type': 'string'}}, 'endTime': {'type': 'integer', 'format': 'int64', 'description': '查询结束时间'}, 'pageNum': {'type': 'integer', 'format': 'int32', 'example': 1, 'description': '第几页'}, 'pageSize': {'type': 'integer', 'format': 'int32', 'example': 20, 'description': '每页记录数'}, 'startTime': {'type': 'integer', 'format': 'int64', 'description': '查询开始时间'}, 'tenantId': {'type': 'integer', 'format': 'int64', 'description': '客户ID'}}, 'description': '转化病害数据分页请求参数'}, 'BaseResponse«List«RoadVO»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'type': 'array', 'description': '返回的data', 'items': {'$ref': '#/definitions/RoadVO'}}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'BaseResponse«StatisticsLabelVO»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/StatisticsLabelVO'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'BaseResponse«WorkOrderDetailResponse»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/WorkOrderDetailResponse'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'BottomRight': {'type': 'object', 'required': ['latitude', 'longitude'], 'properties': {'latitude': {'type': 'number', 'format': 'double', 'description': '纬度'}, 'longitude': {'type': 'number', 'format': 'double', 'description': '经度'}}, 'description': '地图右下角坐标'}, 'StatisticsRequest': {'type': 'object', 'required': ['tenantId'], 'properties': {'endTime': {'type': 'integer', 'format': 'int64', 'description': '搜索的结束时间'}, 'roadId': {'type': 'integer', 'format': 'int64', 'description': '公路id'}, 'sectionId': {'type': 'integer', 'format': 'int64', 'description': '路段id'}, 'startTime': {'type': 'integer', 'format': 'int64', 'description': '搜索的起始时间'}, 'tenantId': {'type': 'integer', 'format': 'int64', 'description': '客户id'}}, 'description': '数据统计入参'}, 'Map«string,string»': {'type': 'object', 'additionalProperties': {'type': 'string'}}, 'TenantVO': {'type': 'object', 'required': ['tenantName'], 'properties': {'id': {'type': 'integer', 'format': 'int64', 'description': '客户ID', 'readOnly': True}, 'registryId': {'type': 'string', 'description': '租户ID', 'readOnly': True}, 'tenantName': {'type': 'string', 'description': '客户名称'}}, 'description': '客户Vo'}, 'BaseResponse«IPage«TenantVO»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/IPage«TenantVO»'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'BaseResponse«HashMap«string,string»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'type': 'object', 'description': '返回的data', 'additionalProperties': {'type': 'string'}}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'IPage«WxWorkOrderVO»': {'type': 'object', 'properties': {'current': {'type': 'integer', 'format': 'int64'}, 'pages': {'type': 'integer', 'format': 'int64'}, 'records': {'type': 'array', 'items': {'$ref': '#/definitions/WxWorkOrderVO'}}, 'size': {'type': 'integer', 'format': 'int64'}, 'total': {'type': 'integer', 'format': 'int64'}}}, '设备动态注册结果': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回码'}, 'error': {'type': 'string', 'description': '错误详细描述'}, 'status': {'type': 'integer', 'format': 'int32', 'description': '业务状态信息'}}}, 'BaseResponse«List«Map«string,string»»»': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'type': 'array', 'description': '返回的data', 'items': {'$ref': '#/definitions/Map«string,string»'}}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'StatisticsVO': {'type': 'object', 'properties': {'breakagesLabel': {'type': 'array', 'items': {'$ref': '#/definitions/MostBreakagesLabelVo'}}, 'mostBreakagesInterval': {'type': 'array', 'description': '病害最密集区间', 'items': {'$ref': '#/definitions/MostBreakagesInterval'}}, 'mostBreakagesLabel': {'type': 'array', 'description': '病害最多类型', 'items': {'$ref': '#/definitions/MostBreakagesLabel'}}, 'section': {'type': 'array', 'description': '路段', 'items': {'$ref': '#/definitions/SectionStaticsVO'}}, 'totalBreakages': {'type': 'integer', 'format': 'int64', 'description': '病害总数'}}, 'description': '统计的展示信息'}, 'BaseResponseOSS_xin_xi_fan_hui_jie_guo_': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回状态码'}, 'data': {'description': '返回的data', '$ref': '#/definitions/OSS信息返回结果'}, 'msg': {'type': 'string', 'description': '描述信息'}}, 'description': '返回说明'}, 'she_bei_yuan_xin_xi': {'type': 'object', 'properties': {'company_name': {'type': 'string', 'description': '公司名称'}, 'description': {'type': 'string', 'description': '设备描述信息'}, 'device_id': {'type': 'string', 'description': '设备ID'}, 'device_kind': {'type': 'string', 'description': '产品型号'}, 'device_sn': {'type': 'string', 'description': '设备序列号'}, 'extra_info': {'type': 'string', 'description': '拓展附加信息'}, 'metadata': {'type': 'object', 'description': '设备静态属性', 'additionalProperties': {'type': 'object'}}, 'product_name': {'type': 'string', 'description': '产品名称'}, 'type': {'type': 'integer', 'format': 'int32', 'description': '设备类型'}}}, 'she_bei_dong_tai_zhu_ce_fan_hui_xiang_ying': {'type': 'object', 'properties': {'device_name': {'type': 'string', 'description': '设备名称'}, 'extra_info': {'type': 'string', 'description': '可选,业务回传给设备的其它信息'}, 'metadata': {'description': '设备元信息', '$ref': '#/definitions/设备元信息'}, 'registry_id': {'type': 'string', 'description': '租户ID'}, 'result': {'description': '返回码和错误信息', '$ref': '#/definitions/设备动态注册结果'}, 'rom_uuid': {'type': 'string', 'description': '可选,rom唯一ID'}}}, 'gateway _zhuan_fa_qing_qiu_de_qing_qiu_ti_，_tong_ RPCCallCloudRequest _yi_zhi': {'type': 'object', 'properties': {'content': {'type': 'array', 'description': 'request info', 'items': {'type': 'string', 'format': 'byte'}}, 'device_id': {'type': 'string', 'description': 'device id'}, 'name': {'type': 'string', 'description': 'method name'}, 'registry_id': {'type': 'string', 'description': 'symphony registry id'}, 'request_id': {'type': 'string', 'description': 'request id,用于请求跟踪'}}}, 'OSS_xin_xi_fan_hui_jie_guo': {'type': 'object', 'properties': {'accessKeyId': {'type': 'string', 'description': 'access key id'}, 'accessKeySecret': {'type': 'string', 'description': 'access key secret'}, 'bucketName': {'type': 'string', 'description': 'bucket name'}, 'expiration': {'type': 'string', 'description': '过期时间，UTC 格式，按客户端时区转换使用'}, 'region': {'type': 'string', 'description': 'Bucket所在地域'}, 'securityToken': {'type': 'string', 'description': '从STS服务获取的安全令牌'}}}, 'she_bei_dong_tai_zhu_ce_jie_guo': {'type': 'object', 'properties': {'code': {'type': 'integer', 'format': 'int32', 'description': '返回码'}, 'error': {'type': 'string', 'description': '错误详细描述'}, 'status': {'type': 'integer', 'format': 'int32', 'description': '业务状态信息'}}}}}

    # print(du.json_path_parse_public(json_path="$.definitions.设备动态注册返回响应", json_obj={}))
    print(du.json_path_parse_public(json_path="$.definitions.BaseResponseListHashMapstring,string", json_obj=api_data))
    # print(api_data['definitions']['_she_bei_dong_tai_zhu_ce_fan_hui_xiang_ying'])
    # print(api_data['definitions'].keys())
    # du.json_path_parse_public(json_obj={"1":"2"},json_path="$.*")
#     s1=du.json_path_parse_public(json_obj={'cmd': None, 'code': '2000000000', 'data': {'auditedAmount': 21.6928, 'costs': [{'auditedAmount': 10.0, 'billedAmount': 10.0, 'adjustReason': '', 'type': '配送费/配送费1', 'audited': True, 'planAmount': 10.0, 'pictures': []}, {'auditedAmount': 11.6928, 'billedAmount': 11.6928, 'adjustReason': '', 'type': '配送费/配送费2', 'audited': True, 'planAmount': 0, 'pictures': []}], 'shippingOrderCode': 'F211016007006000022', 'oilCardPayType': 1, 'oilCardFee': 0.0, 'payAuditId': 38770, 'stepPayAmounts': [21.69], 'billCode': 'PB211020007006000011', 'billedAmount': 21.6928, 'createTime': 1634732948753, 'adjustedAmount': 0, 'orders': [{'loadWeight': 10.0, 'transportWeight': 10.0, 'startLoadWeight': 10.0, 'auditSign': '10.0000kg0.0010方10.0000件', 'startTransportTime': 1634375010000, 'lcensePlate': '沪ES3016', 'loadNumber': 10.0, 'goodsValue': '10.00000', 'plateNumber': '沪ES3016', 'signingTime': 1634375027000, 'dispatchTime': 1634374977440, 'tenantName': '安徽璞润贸易有限责任公司', 'loadVolums': 0.001, 'transportNumber': 10.0, 'waybillCode': 'Y211016007006000052', 'driverName': '浦发2894885449', 'driverPhone': '18883612487', 'startLoadNumber': 10.0, 'auditLoad': '10.0000kg0.0010方10.0000件', 'startLoadVolume': 0.001, 'transportVolume': 0.001}], 'id': 8211, 'auditorName': '秦敏'}, 'httpCode': 200, 'msg': None, 'ticket': None, 'version': None}
# ,json_path="$.data.costs[*].auditedAmount")
#     print(s1)
#     print(du.string_toTimestamp("2022-04-04 13:25:53"))
    # print(du.time_to_str_ajdust(num=-30))
    # print(du.str_to_time_adjust(num=-30))
    # print(du.adjust_time(num=-30))
